﻿Imports System.Windows.Forms

Public Class CustomDialog

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub RadButton_Hogan_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadButton_Hogan.CheckedChanged
        If TextBox_Name.Text = "" Then
            TextBox_Name.Text = "オリジナル方眼紙"
        End If
        GroupBox_RepoHogan.Enabled = RadButton_Hogan.Checked
        GroupBox_Gosen.Enabled = Not RadButton_Hogan.Checked
        GroupBox_Genko.Enabled = Not RadButton_Hogan.Checked
    End Sub

    Private Sub RadButton_Genko_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadButton_Genko.CheckedChanged
        If TextBox_Name.Text = "" Then
            TextBox_Name.Text = "オリジナル原稿用紙"
        End If
        GroupBox_RepoHogan.Enabled = Not RadButton_Genko.Checked
        GroupBox_Gosen.Enabled = Not RadButton_Genko.Checked
        GroupBox_Genko.Enabled = RadButton_Genko.Checked
    End Sub

    Private Sub RadButton_Report_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadButton_Report.CheckedChanged
        If TextBox_Name.Text = "" Then
            TextBox_Name.Text = "オリジナルレポート用紙"
        End If
        GroupBox_RepoHogan.Enabled = RadButton_Report.Checked
        GroupBox_Gosen.Enabled = Not RadButton_Report.Checked
        GroupBox_Genko.Enabled = Not RadButton_Report.Checked
    End Sub

    Private Sub RadButton_Gosen_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadButton_Gosen.CheckedChanged
        If TextBox_Name.Text = "" Then
            TextBox_Name.Text = "オリジナル五線譜"
        End If
        GroupBox_RepoHogan.Enabled = Not RadButton_Gosen.Checked
        GroupBox_Gosen.Enabled = RadButton_Gosen.Checked
        GroupBox_Genko.Enabled = Not RadButton_Gosen.Checked
    End Sub

    Private Sub Genko_NumUpDown_RetsuSuu_Validating(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Genko_NumUpDown_RetsuSuu.Validating
        Dim ValBool As Boolean = False
        For N As Integer = 1 To 50
            If Genko_NumUpDown_RetsuSuu.Value = 2 * N Then
                ValBool = True
                Exit For
            End If
        Next
        If ValBool = False Then
            NotifyIcon1.BalloonTipText = "原稿用紙の列数は偶数で指定してください。"
            NotifyIcon1.ShowBalloonTip(100)
            e.Cancel = True
        End If
    End Sub

    Private Sub Genko_NumUpDown_RetsuSuu_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Genko_NumUpDown_RetsuSuu.ValueChanged

    End Sub
End Class
